comparison admin/quick-install-emacs @ 52708:8f70aecafdb5

Revision: miles@gnu.org--gnu-2003/emacs--cvs-trunk--0--patch-68 Portability fix for admin/quick-install-emacs * admin/quick-install-emacs: Don't use "function" keyword when defining shell functions.
author Miles Bader <miles@gnu.org>
date Wed, 01 Oct 2003 01:38:40 +0000
parents bb955cc088f9
children f6384702a1b6
comparison
equal deleted inserted replaced
52707:e049542c98d1 52708:8f70aecafdb5
131 echo 1>&2 "$me: $BUILD: Not a proper build tree, config.status not found" 131 echo 1>&2 "$me: $BUILD: Not a proper build tree, config.status not found"
132 exit 2 132 exit 2
133 fi 133 fi
134 134
135 CONFIG_STATUS="$BUILD/config.status" 135 CONFIG_STATUS="$BUILD/config.status"
136 function get_config_var () { 136 get_config_var ()
137 {
137 if ! sed -n "s/^s\(.\)@$1@\1\(.*\)\1.*$/\2/p" $CONFIG_STATUS | sed q | grep '' 138 if ! sed -n "s/^s\(.\)@$1@\1\(.*\)\1.*$/\2/p" $CONFIG_STATUS | sed q | grep ''
138 then 139 then
139 echo 1>&2 "$me: $1: Configuration variable not found in $CONFIG_STATUS" 140 echo 1>&2 "$me: $1: Configuration variable not found in $CONFIG_STATUS"
140 exit 4 141 exit 4
141 fi 142 fi
151 DST_SHARE="$prefix/share/emacs/$VERSION" 152 DST_SHARE="$prefix/share/emacs/$VERSION"
152 DST_BIN="$prefix/bin" 153 DST_BIN="$prefix/bin"
153 DST_LIBEXEC="$prefix/libexec/emacs/$VERSION/$ARCH" 154 DST_LIBEXEC="$prefix/libexec/emacs/$VERSION/$ARCH"
154 DST_INFO="$prefix/info" 155 DST_INFO="$prefix/info"
155 156
156 function maybe_mkdir () { 157 maybe_mkdir ()
158 {
157 if ! test -d "$1"; then 159 if ! test -d "$1"; then
158 $MKDIR "$1" 2>&1 | sed "s/^mkdir:/$me:/" 1>&2 160 $MKDIR "$1" 2>&1 | sed "s/^mkdir:/$me:/" 1>&2
159 fi 161 fi
160 } 162 }
161 163
179 done 181 done
180 fi 182 fi
181 183
182 test x"$PRUNE" = xonly && exit 0 184 test x"$PRUNE" = xonly && exit 0
183 185
184 function maybe_emit_copy () { 186 maybe_emit_copy ()
187 {
185 if test "$FORCE" = yes || ! cmp -s $1 $2; then 188 if test "$FORCE" = yes || ! cmp -s $1 $2; then
186 echo $LINK_CMD $1 $2 189 echo $LINK_CMD $1 $2
187 fi 190 fi
188 } 191 }
189 192